Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.db
Class DbPersistenceService

    java.lang.Object
      org.jbpm.persistence.db.DbPersistenceService

All Implemented Interfaces:
  java.io.Serializable, PersistenceService, Service

Direct Known Subclasses:
  JtaDbPersistenceService

    public class DbPersistenceService

extends java.lang.Object
implements Service, PersistenceService

See Also:
  Serialized Form

Field Summary
`protected java.sql.Connection` | `connection`
`protected ContextSession` | `contextSession`
`protected GraphSession` | `graphSession`
`protected boolean` | `isCurrentSessionEnabled`
`protected boolean` | `isTransactionEnabled`
`protected JobSession` | `jobSession`
`protected LoggingSession` | `loggingSession`
`protected boolean` | `mustConnectionBeClosed`
`protected boolean` | `mustSessionBeClosed`
`protected boolean` | `mustSessionBeFlushed`
`protected DbPersistenceServiceFactory` | `persistenceServiceFactory`
`protected Services` | `services`
`protected org.hibernate.Session` | `session`
`protected TaskMgmtSession` | `taskMgmtSession`
`protected org.hibernate.Transaction` | `transaction`

Constructor Summary
`DbPersistenceService(DbPersistenceServiceFactory persistenceServiceFactory)`

Method Summary
`void` | `assignId(java.lang.Object object)`
`void` | `beginTransaction()`
`void` | `close()`
`void` | `endTransaction()`
`java.sql.Connection` | `getConnection()`
`java.sql.Connection` | `getConnection(boolean resolveSession)`
`ContextSession` | `getContextSession()`
`javax.sql.DataSource` | `getDataSource()`
`GraphSession` | `getGraphSession()`
`JobSession` | `getJobSession()`
`LoggingSession` | `getLoggingSession()`
`org.hibernate.Session` | `getSession()`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`TaskMgmtSession` | `getTaskMgmtSession()`
`org.hibernate.Transaction` | `getTransaction()`
`boolean` | `isRollbackOnly()` Deprecated. use `TxService` instead.
`boolean` | `isTransactionEnabled()`
`void` | `setConnection(java.sql.Connection connection)`
`void` | `setContextSession(ContextSession contextSession)`
`void` | `setDataSource(javax.sql.DataSource dataSource)`
`void` | `setGraphSession(GraphSession graphSession)`
`void` | `setJobSession(JobSession jobSession)`
`void` | `setLoggingSession(LoggingSession loggingSession)`
`void` | `setRollbackOnly()` Deprecated. use `TxService` instead.
`void` | `setRollbackOnly(boolean isRollbackOnly)` Deprecated. use `TxService` instead.
`void` | `setSession(org.hibernate.Session session)`
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)`
`void` | `setSessionWithoutDisablingTx(org.hibernate.Session session)`
`void` | `setTaskMgmtSession(TaskMgmtSession taskMgmtSession)`
`void` | `setTransaction(org.hibernate.Transaction transaction)`
`void` | `setTransactionEnabled(boolean isTransactionEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### persistenceServiceFactory

    protected DbPersistenceServiceFactory persistenceServiceFactory

### connection

    protected java.sql.Connection connection

### mustConnectionBeClosed

    protected boolean mustConnectionBeClosed

### transaction

    protected org.hibernate.Transaction transaction

### isTransactionEnabled

    protected boolean isTransactionEnabled

### isCurrentSessionEnabled

    protected boolean isCurrentSessionEnabled

### session

    protected org.hibernate.Session session

### mustSessionBeFlushed

    protected boolean mustSessionBeFlushed

### mustSessionBeClosed

    protected boolean mustSessionBeClosed

### services

    protected Services services

### graphSession

    protected GraphSession graphSession

### taskMgmtSession

    protected TaskMgmtSession taskMgmtSession

### jobSession

    protected JobSession jobSession

### contextSession

    protected ContextSession contextSession

### loggingSession

    protected LoggingSession loggingSession

Constructor Detail

### DbPersistenceService

    public DbPersistenceService(DbPersistenceServiceFactory persistenceServiceFactory)

Method Detail

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

### getSession

    public org.hibernate.Session getSession()

### beginTransaction

    public void beginTransaction()

### endTransaction

    public void endTransaction()

### getConnection

    public java.sql.Connection getConnection()

### getConnection

    public java.sql.Connection getConnection(boolean resolveSession)

### close

    public void close()

  Specified by:
    `close` in interface `Service`

### assignId

    public void assignId(java.lang.Object object)

  Specified by:
    `assignId` in interface `PersistenceService`

### getGraphSession

    public GraphSession getGraphSession()

  Specified by:
    `getGraphSession` in interface `PersistenceService`

### getLoggingSession

    public LoggingSession getLoggingSession()

  Specified by:
    `getLoggingSession` in interface `PersistenceService`

### getJobSession

    public JobSession getJobSession()

  Specified by:
    `getJobSession` in interface `PersistenceService`

### getContextSession

    public ContextSession getContextSession()

  Specified by:
    `getContextSession` in interface `PersistenceService`

### getTaskMgmtSession

    public TaskMgmtSession getTaskMgmtSession()

  Specified by:
    `getTaskMgmtSession` in interface `PersistenceService`

### getDataSource

    public javax.sql.DataSource getDataSource()

### isRollbackOnly

    public boolean isRollbackOnly()

  Deprecated. use `TxService` instead.

  Specified by:
    `isRollbackOnly` in interface `PersistenceService`

### setRollbackOnly

    public void setRollbackOnly(boolean isRollbackOnly)

  Deprecated. use `TxService` instead.

  Specified by:
    `setRollbackOnly` in interface `PersistenceService`

### setRollbackOnly

    public void setRollbackOnly()

  Deprecated. use `TxService` instead.

  Specified by:
    `setRollbackOnly` in interface `PersistenceService`

### setSession

    public void setSession(org.hibernate.Session session)

### setSessionWithoutDisablingTx

    public void setSessionWithoutDisablingTx(org.hibernate.Session session)

### setConnection

    public void setConnection(java.sql.Connection connection)

### setContextSession

    public void setContextSession(ContextSession contextSession)

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)

### setGraphSession

    public void setGraphSession(GraphSession graphSession)

  Specified by:
    `setGraphSession` in interface `PersistenceService`

### setLoggingSession

    public void setLoggingSession(LoggingSession loggingSession)

  Specified by:
    `setLoggingSession` in interface `PersistenceService`

### setJobSession

    public void setJobSession(JobSession jobSession)

  Specified by:
    `setJobSession` in interface `PersistenceService`

### setTaskMgmtSession

    public void setTaskMgmtSession(TaskMgmtSession taskMgmtSession)

  Specified by:
    `setTaskMgmtSession` in interface `PersistenceService`

### setSessionFactory

    public void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

  Specified by:
    `setSessionFactory` in interface `PersistenceService`

### getTransaction

    public org.hibernate.Transaction getTransaction()

### setTransaction

    public void setTransaction(org.hibernate.Transaction transaction)

### isTransactionEnabled

    public boolean isTransactionEnabled()

### setTransactionEnabled

    public void setTransactionEnabled(boolean isTransactionEnabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD